Skip to main content
GET
/
did
Get DIDs
curl --request GET \
  --url https://api.example.com/did
import requests

url = "https://api.example.com/did"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/did', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "id": "<string>",
      "did": "<string>",
      "alias": "<string>",
      "name": "<string>"
    }
  ],
  "metadata": {
    "total": 123,
    "page": 123,
    "limit": 123
  }
}

Query Parameters

page
number

Page number (1-based)

Example:

1

limit
number

Number of items per page

Example:

10

Response

200 - application/json

DIDs fetched successfully

items
object[]
required

The list of DIDs

metadata
object
required

The pagination metadata